- Qt 6.10
- Qt XML
- C++ Classes
- QDomComment
- Qt 6.10.2 Reference Documentation

# QDomComment Class

The QDomComment class represents an XML comment. More...

Header: | `#include <QDomComment>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Xml)` `target_link_libraries(mytarget PRIVATE Qt6::Xml)`
qmake: | `QT += xml`
Inherits: | QDomCharacterData

- List of all members, including inherited members
- QDomComment is part of XML Classes.

Note: All functions in this class are reentrant.

## Public Functions

| QDomComment()
| QDomComment(const QDomComment &comment)
QDomNode::NodeType | nodeType() const
QDomComment & | operator=(const QDomComment &other)

## Detailed Description

A comment in the parsed XML such as this:

     <!-- this is a comment -->

is represented by QDomComment objects in the parsed Dom tree.

For further information about the Document Object Model see Level 1 and Level 2 Core. For a more general introduction of the DOM implementation see the QDomDocument documentation.

## Member Function Documentation

### QDomComment::QDomComment()

Constructs an empty comment. To construct a comment with content, use the QDomDocument::createComment() function.

### QDomComment::QDomComment(const QDomComment &comment)

Constructs a copy of comment.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QDomNode::NodeType QDomComment::nodeType() const

Returns `CommentNode`.

### QDomComment &QDomComment::operator=(const QDomComment &other)

Assigns other to this DOM comment.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().